"""add custom-git trigger type to database

Revision ID: 37c47a7af956
Revises: 3fee6f979c2a
Create Date: 2015-04-24 14:50:26.275516

"""

# revision identifiers, used by Alembic.
revision = '37c47a7af956'
down_revision = '3fee6f979c2a'

from alembic import op
import sqlalchemy as sa


def upgrade(tables):
  op.bulk_insert(tables.buildtriggerservice, [{'id': 2, 'name': 'custom-git'}])


def downgrade(tables):
  op.execute(
    tables.buildtriggerservice.delete()
    .where(tables.buildtriggerservice.c.name == op.inline_literal('custom-git'))
  )
